Main Page Class List Class Members

# VHACD::IVHACD Class Reference

`#include <VHACD.h>`

Inheritance diagram for VHACD::IVHACD:

List of all members.

## Classes
class | Constraint
class | ConvexHull
class | IUserCallback
class | IUserLogger
class | Parameters
## Public Member Functions
virtual void | Cancel ()=0
virtual void | Clean (void)=0
virtual bool | Compute (const double *const points, const uint32_t countPoints, const uint32_t *const triangles, const uint32_t countTriangles, const Parameters &params)=0
virtual bool | Compute (const float *const points, const uint32_t countPoints, const uint32_t *const triangles, const uint32_t countTriangles, const Parameters &params)=0
virtual bool | ComputeCenterOfMass (double centerOfMass[3]) const =0
virtual uint32_t | ComputeConstraints (void)=0
virtual const Constraint * | GetConstraint (uint32_t index) const =0
virtual void | GetConvexHull (const uint32_t index, ConvexHull &ch) const =0
virtual uint32_t | GetNConvexHulls () const =0
virtual bool | IsReady (void) const
virtual bool | OCLInit (void *const oclDevice, IUserLogger *const logger=0)=0
virtual bool | OCLRelease (IUserLogger *const logger=0)=0
virtual void | Release (void)=0
## Protected Member Functions
virtual | ~IVHACD (void)

## Constructor & Destructor Documentation

virtual VHACD::IVHACD::~IVHACD | ( | void |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void VHACD::IVHACD::Cancel | ( |  | ) | `[pure virtual]`

Implemented in VHACD::VHACD.

virtual void VHACD::IVHACD::Clean | ( | void |  | ) | `[pure virtual]`

Implemented in VHACD::VHACD.

virtual bool VHACD::IVHACD::Compute | ( | const double *const | points,
|  | const uint32_t | countPoints,
|  | const uint32_t *const | triangles,
|  | const uint32_t | countTriangles,
|  | const Parameters & | params |
| ) |  |  | `[pure virtual]`

Implemented in VHACD::VHACD.

virtual bool VHACD::IVHACD::Compute | ( | const float *const | points,
|  | const uint32_t | countPoints,
|  | const uint32_t *const | triangles,
|  | const uint32_t | countTriangles,
|  | const Parameters & | params |
| ) |  |  | `[pure virtual]`

Implemented in VHACD::VHACD.

virtual bool VHACD::IVHACD::ComputeCenterOfMass | ( | double | centerOfMass[3] | ) | const`[pure virtual]`

Implemented in VHACD::VHACD.

virtual uint32_t VHACD::IVHACD::ComputeConstraints | ( | void |  | ) | `[pure virtual]`

Implemented in VHACD::VHACD.

virtual const Constraint* VHACD::IVHACD::GetConstraint | ( | uint32_t | index | ) | const`[pure virtual]`

Implemented in VHACD::VHACD.

virtual void VHACD::IVHACD::GetConvexHull | ( | const uint32_t | index,
|  | ConvexHull & | ch |
| ) |  |  | const`[pure virtual]`

Implemented in VHACD::VHACD.

virtual uint32_t VHACD::IVHACD::GetNConvexHulls | ( |  | ) | const`[pure virtual]`

Implemented in VHACD::VHACD.

virtual bool VHACD::IVHACD::IsReady | ( | void |  | ) | const`[inline, virtual]`

virtual bool VHACD::IVHACD::OCLInit | ( | void *const | oclDevice,
|  | IUserLogger *const | logger = `0` |
| ) |  |  | `[pure virtual]`

Implemented in VHACD::VHACD.

virtual bool VHACD::IVHACD::OCLRelease | ( | IUserLogger *const | logger = `0` | ) | `[pure virtual]`

Implemented in VHACD::VHACD.

virtual void VHACD::IVHACD::Release | ( | void |  | ) | `[pure virtual]`

Implemented in VHACD::VHACD.

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/source/VHACD/public/VHACD.h